Reassign an agent Base URL https://{kibana_url} POST /api/fleet/agents/{agentId}/reassign Auth Reassign an agent to a different agent policy. Authorization Path Header Body Response Required authorization Privileges fleet-agents-all Path parameters agentId string required The agent ID Header parameters kbn-xsrf string required A required header to protect against CSRF attacks Request body { } policy_id string required Responses 200 Successful response application/json Response Type: object 400 Bad Request application/json attributes object required error string errorType string message string required statusCode number